%global momorel 3

%define glib2_version           2.6.0
%define dbus_version            1.2
%define dbus_glib_version	0.76
%define devicekit_version       002
%define polkit_version          0.94
%define parted_version          2.1
%define udev_version            139
%define mdadm_version           2.6.7
%define device_mapper_version   1.02
%define libatasmart_version     0.15
%define lvm2_version            2.02.64

Summary: Disk Management Service
Name: udisks
Version: 1.0.1
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://gitweb.freedesktop.org/?p=users/david/DeviceKit-disks.git;a=summary
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: polkit-devel >= %{polkit_version}
BuildRequires: parted-devel >= %{parted_version}
BuildRequires: DeviceKit-devel >= %{devicekit_version}
BuildRequires: sqlite-devel
BuildRequires: device-mapper-devel >= %{device_mapper_version}
BuildRequires: intltool
BuildRequires: libatasmart-devel >= %{libatasmart_version}
BuildRequires: zlib-devel
BuildRequires: libudev-devel >= %{udev_version}
BuildRequires: libgudev1-devel >= 145
BuildRequires: lvm2-devel >= %{lvm2_version}
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: polkit >= %{polkit_version}
Requires: parted >= %{parted_version}
Requires: DeviceKit >= %{devicekit_version}
Requires: udev >= %{udev_version}
Requires: mdadm >= %{mdadm_version}
Requires: libatasmart >= %{libatasmart_version}
Requires: zlib
# for mount, umount, mkswap
Requires: util-linux-ng
# for mkfs.ext3, mkfs.ext3, e2label
Requires: e2fsprogs
# for mkfs.xfs, xfs_admin
Requires: xfsprogs
# for mkfs.vfat
Requires: dosfstools
# for mlabel
Requires: mtools
# for mkntfs
# no ntfsprogs on ppc, though
%ifnarch ppc ppc64
Requires: ntfsprogs
%endif

Provides: DeviceKit-disks
Obsoletes: DeviceKit-disks

%description
udisks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: D-Bus interface definitions for udisks
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
# stupid guidelines require this for ownership of /usr/share/gtk-doc
Requires: gtk-doc
Provides: DeviceKit-disks-devel
Obsoletes: DeviceKit-disks-devel

%description devel
D-Bus interface definitions for udisks.

%prep
%setup -q

%build
gtkdocize --copy
autoreconf -vfi
%configure --enable-gtk-doc \
    --enable-static=no \
    --enable-man-pages
make

%install
rm -rf --preserve-root $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# TODO: should be fixed upstream
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/udisks-bash-completion.sh

%clean
rm -rf --preserve-root $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING HACKING doc/TODO
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/profile.d/*.sh
%{_sysconfdir}/avahi/services/udisks.service
/lib/udev/rules.d/*.rules

/lib/udev/udisks-part-id
/lib/udev/udisks-dm-export
/lib/udev/udisks-lvm-pv-export
/lib/udev/udisks-probe-ata-smart
/lib/udev/udisks-probe-sas-expander

/sbin/umount.udisks

%{_bindir}/*
%{_libexecdir}/*

%{_libdir}/polkit-1/extensions/libudisks-action-lookup.so
%{_libdir}/polkit-1/extensions/libudisks-action-lookup.la

%{_datadir}/locale/*/*/*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/polkit-1/actions/org.freedesktop.udisks.policy

%{_datadir}/dbus-1/system-services/*.service

%attr(0770,root,root) %dir %{_localstatedir}/run/udisks
%attr(0770,root,root) %dir %{_localstatedir}/lib/udisks

%files devel
%defattr(-,root,root,-)
%{_datadir}/dbus-1/interfaces/*.xml
%dir %{_datadir}/gtk-doc/html/udisks
%{_datadir}/gtk-doc/html/udisks/*
%{_datadir}/pkgconfig/udisks.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-3m)
- full rebuild for mo7 release

* Fri May 14 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-2m)
- rebuild against lvm2-2.02.64

* Sun Apr 11 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-1m)
- [SECURITY] CVE-2010-1149
- update 1.0.1

* Sat Mar 20 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-2m)
- add BuildRequires

* Thu Mar 18 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-1m)
- Devicekit-disks was renamed udisks

* Thu Mar 18 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (009-1m)
- update 009

* Tue Mar 16 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (008-4m)
- rebuild against parted-2.1

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (008-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (008-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Oct 18 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (008-1m)
- update to 008

* Sun Sep 27 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (007-1m)
- update to 007
-- comment out patch0

* Tue Jun 23 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (004-1m)
- initial commit Momonga Linux

* Tue May 19 2009 David Zeuthen <davidz@redhat.com> - 004-3%{?dist}
- Avoid checking whether device is ATA SMART capable if the device reports
  removable media (#494932)

* Fri May 01 2009 David Zeuthen <davidz@redhat.com> - 004-2%{?dist}
- Rebuild

* Fri May 01 2009 David Zeuthen <davidz@redhat.com> - 004-1%{?dist}
- Upstream release 004

* Thu Apr 16 2009 David Zeuthen <davidz@redhat.com> - 004-0.10.20090415git%{?dist}
- Properly detect vfat on whole disk devices (#495876)

* Wed Apr 15 2009 David Zeuthen <davidz@redhat.com> - 004-0.9.20090415git%{?dist}
- Rebuild

* Wed Apr 15 2009 David Zeuthen <davidz@redhat.com> - 004-0.8.20090415git%{?dist}
- New snapshot

* Sun Apr 12 2009 David Zeuthen <davidz@redhat.com> - 004-0.7.20090412git%{?dist}
- New snapshot

* Thu Apr 09 2009 David Zeuthen <davidz@redhat.com> - 004-0.6.20090408git%{?dist}
- use correct dmode for iso9660 mounts (#495018)

* Wed Apr 08 2009 David Zeuthen <davidz@redhat.com> - 004-0.5.20090408git%{?dist}
- New snapshot

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.4.20090406git%{?dist}
- Rebuild

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.3.20090406git%{?dist}
- BR libudev-devel

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.2.20090406git%{?dist}
- New snapshot, this time with the right date

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 004-0.1.20080406git%{?dist}
- New snapshot

* Fri Mar 27 2009 Matthias Clasen  <mclasen@redhat.com> - 003-9.f11
- Don't require ntfsprogs on ppc, where it doesn't exist

* Wed Mar 25 2009 Matthias Clasen  <mclasen@redhat.com> - 003-8.f11
- Add dependencies to for all the cmdline tools we use (#490670)

* Thu Mar 19 2009 David Zeuthen <davidz@redhat.com> - 003-7%{?dist}
- Make sure dm devices are marked as system-internal (#489397)

* Tue Mar 10 2009 Matthias Clasen <mclasen@redhat.com> - 003-6%{?dist}
- Fix the previous patch

* Fri Mar  6 2009 Matthias Clasen <mclasen@redhat.com> - 003-5%{?dist}
- Handle -- correctly in devkit-disks

* Wed Mar 04 2009 David Zeuthen <davidz@redhat.com> - 003-3%{?dist}
- Add --dump option to devkit-disks(1) to help with debugging
- Allow authorized users to unmount /etc/fstab mounts

* Tue Mar 03 2009 David Zeuthen <davidz@redhat.com> - 003-2%{?dist}
- Identify mounts using dev_t, not device files (#488258)

* Mon Mar 02 2009 David Zeuthen <davidz@redhat.com> - 003-1%{?dist}
- Update to version 003

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 002-3.git20080720
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 002-2.git20080720
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Colin Walters <walters@verbum.org> - 002-1.git20080720
- Add dbus permissions patch

* Fri Jul 20 2008 David Zeuthen <davidz@redhat.com> - 002-0.git20080720%{?dist}
- Initial packaging
